src: |
  SELECT 'I'::text || t_modes_entree.code::text AS code,
          CASE
              WHEN t_modes_entree.code <> ''::bpchar THEN ((t_modes_entree.texte::text || ' ('::text) || t_modes_entree.code::text) || ')'::text
              ELSE 'Non saisi'::text
          END AS texte,
          CASE
              WHEN t_modes_entree.code <> ''::bpchar THEN ((t_modes_entree.texte_court::text || ' ('::text) || t_modes_entree.code::text) || ')'::text
              ELSE 'Non saisi'::text
          END AS texte_court
     FROM pmsi.t_modes_entree
  UNION
   SELECT 'S'::text || t_modes_entree.code::text AS code,
          CASE
              WHEN t_modes_entree.code <> ''::bpchar THEN ((('SAUF '::text || t_modes_entree.texte::text) || ' ('::text) || t_modes_entree.code::text) || ')'::text
              ELSE 'SAUF Non saisi'::text
          END AS texte,
          CASE
              WHEN t_modes_entree.code <> ''::bpchar THEN ((('SAUF '::text || t_modes_entree.texte_court::text) || ' ('::text) || t_modes_entree.code::text) || ')'::text
              ELSE 'SAUF Non saisi'::text
          END AS texte_court
     FROM pmsi.t_modes_entree
    WHERE t_modes_entree.code <> ''::bpchar
    ORDER BY 1;